package softcomp.genalg;

/**
 * Class containing various fitness statistics for a given population.
 * 
 * @author Luca Mariot
 */

public class FitnessStatistics {
    
    private double maxfitval;               //Max fitness value
    private double minfitval;               //Min fitness value
    private double avgfitval;               //Average fitness value
    private double stdfitval;               //Standard deviation for fitness value
    
    private int maxfitpos;                  //Position of last individual with max fitness
    private int minfitpos;                  //Position of last individual with min fitness
    
    //Constructors
    public FitnessStatistics(double maxfitval, double minfitval, double avgfitval, double stdfitval, int maxfitpos, int minfitpos) {
        this.maxfitval = maxfitval;
        this.minfitval = minfitval;
        this.avgfitval = avgfitval;
        this.stdfitval = stdfitval;
        this.maxfitpos = maxfitpos;
        this.minfitpos = minfitpos;
    }
    
    public FitnessStatistics() {
        
    }

    //Getters and Setters
    public double getMaxfitval() {
        return maxfitval;
    }

    public void setMaxfitval(double maxfitval) {
        this.maxfitval = maxfitval;
    }

    public double getMinfitval() {
        return minfitval;
    }

    public void setMinfitval(double minfitval) {
        this.minfitval = minfitval;
    }

    public double getAvgfitval() {
        return avgfitval;
    }

    public void setAvgfitval(double avgfitval) {
        this.avgfitval = avgfitval;
    }

    public double getStdfitval() {
        return stdfitval;
    }

    public void setStdfitval(double stdfitval) {
        this.stdfitval = stdfitval;
    }

    public int getMaxfitpos() {
        return maxfitpos;
    }

    public void setMaxfitpos(int maxfitpos) {
        this.maxfitpos = maxfitpos;
    }

    public int getMinfitpos() {
        return minfitpos;
    }

    public void setMinfitpos(int minfitpos) {
        this.minfitpos = minfitpos;
    }
    
    
    
    
}
