package softcomp.genalg;

/**
 * Class representing a permutation of the (restricted) Walsh spectrum of a
 * pseudo-boolean function
 * 
 * @author Luca Mariot
 */

public class WalshPermutation {
    
    private int[] rstspec;    //integer array representing the restricted spectrum.
                              //Could be either a permutation of the positions
                              //of an ordered spectrum or the actual values.
    
    private double fitness;   //fitness of the pseudoboolean function
                              //corresponding to the restricted spectrum

    //Default constructor
    public WalshPermutation(int[] rstspec) {
        this.rstspec = rstspec;
        fitness = 0.0;
    }
    
    //Default constructor
    public WalshPermutation(int[] rstspec, int[] rstspecpos) {
        this.rstspec = rstspec;
        fitness = 0.0;
    }

    //Getters
    public int[] getRstspec() {
        return rstspec;
    }

    public double getFitness() {
        return fitness;
    }

    //Setters
    public void setRstspec(int[]rstspec) {
        this.rstspec = rstspec;
    }

    public void setFitness(double fitness) {
        this.fitness = fitness;
    }

}
