package stat;

/**
 * Methods to compute simple statistical indices.
 * 
 * @author Luca Mariot
 * @version 1.0
 */

public class StatTools {
    
    public static double calcMean(double[] series) {
        
        double sum = 0.0;
        
        for(int i=0; i<series.length; i++) {
            
            sum += series[i];
            
        }
        
        double mean = sum / series.length;
        
        return mean;
        
    }
    
    public static double calcVariance(double[] series, double mean) {
        
        double var = 0.0;
        double accum = 0.0;
        double accum2 = 0.0;

        for (int i = 0; i < series.length; i++) {
            accum += Math.pow((series[i] - mean), 2.0);
            accum2 += (series[i] - mean);
        }

        var = (accum - (Math.pow(accum2, 2) / ((double) series.length))) /
                (double) (series.length - 1);

        return var;
        
    }
    
    public static double calcStdDev(double variance) {
        
        return Math.sqrt(variance);
        
    }
    
}
